Package com.independentsoft.office.spreadsheet

# Class FileRecoveryProperties

java.lang.Object
com.independentsoft.office.spreadsheet.FileRecoveryProperties

public class FileRecoveryProperties extends Object
The Class FileRecoveryProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileRecoveryProperties()`
  Instantiates a new file recovery properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileRecoveryProperties`
  `clone()`
  `boolean`
  `isAutoRecovery()`
  Checks if is auto recovery.
  `boolean`
  `isCrashSave()`
  Checks if is crash save.
  `boolean`
  `isDataExtractLoad()`
  Checks if is data extract load.
  `boolean`
  `isRepairLoad()`
  Checks if is repair load.
  `void`
  `setAutoRecovery​(boolean autoRecovery)`
  Sets the auto recovery.
  `void`
  `setCrashSave​(boolean crashSave)`
  Sets the crash save.
  `void`
  `setDataExtractLoad​(boolean dataExtractLoad)`
  Sets the data extract load.
  `void`
  `setRepairLoad​(boolean repairLoad)`
  Sets the repair load.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FileRecoveryProperties

    public FileRecoveryProperties()
    Instantiates a new file recovery properties.

- ## Method Details

  - ### clone

    public FileRecoveryProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAutoRecovery

    public boolean isAutoRecovery()
    Checks if is auto recovery.
    Returns:
      true, if is auto recovery

  - ### setAutoRecovery

    public void setAutoRecovery​(boolean autoRecovery)
    Sets the auto recovery.
    Parameters:
      `autoRecovery` - the new auto recovery

  - ### isCrashSave

    public boolean isCrashSave()
    Checks if is crash save.
    Returns:
      true, if is crash save

  - ### setCrashSave

    public void setCrashSave​(boolean crashSave)
    Sets the crash save.
    Parameters:
      `crashSave` - the new crash save

  - ### isDataExtractLoad

    public boolean isDataExtractLoad()
    Checks if is data extract load.
    Returns:
      true, if is data extract load

  - ### setDataExtractLoad

    public void setDataExtractLoad​(boolean dataExtractLoad)
    Sets the data extract load.
    Parameters:
      `dataExtractLoad` - the new data extract load

  - ### isRepairLoad

    public boolean isRepairLoad()
    Checks if is repair load.
    Returns:
      true, if is repair load

  - ### setRepairLoad

    public void setRepairLoad​(boolean repairLoad)
    Sets the repair load.
    Parameters:
      `repairLoad` - the new repair load